PNGCP(1)

NAME
pngcp - create a new PNG file, having changed some attributes

SYNOPSIS

 pngcp [-d <depth>] [-s <samples per pixel>] <input filename> <output filename>

DESCRIPTION

The pngcp create a new PNG file using the image data from the input file. The output file will have the bitdepth and number of samples per pixel as specified on the command line. There are limits on what is a valid combination imposed by the PNG specification -- pngcp will inform you of invalid combinations.

Samples with more than eight bits are not correctly handled at the moment.

RETURNS

Nothing

EXAMPLE

pngcp toucan.png new.png

SEE ALSO

tiffcp(1) pngchunkdesc(1) pnginfo(1)

VERSION

This documentation was generated for pngtools 0.2 by autodocbook (http://www.stillhq.com).

AUTHOR

pngtools is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2001 to 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in pngtools. If you find one, please contact mikal@stillhq.com and let me know.